<?php

namespace Drupal\monarch_utilities\Services;

use Twig\TwigFunction;
use Twig\Extension\AbstractExtension;

/**
 * Twig extension.
 */
class TwigExtensions extends AbstractExtension {

  /**
   * {@inheritdoc}
   */
  public function getFunctions() {
    return [
      new TwigFunction('uniqid', [$this, 'uniqid']),
    ];
  }

  /**
   * {@inheritdoc}
   */
  public function getFilters() {
    return [];
  }

  /**
   * {@inheritdoc}
   */
  public function getTests() {
    return [];
  }

  /**
   * Get a unique id.
   */
  public function uniqid(...$args) {
    return uniqid(...$args);
  }

}
